Get a dependant Run in API Explorer
Ask AI
GET
/api/v1/client/{client_uuid}/dependant/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/dependant/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "d531f7de-cf81-4b44-bb7a-47cf844e797c",
"created_at": "2026-04-29T12:53:00+01:00",
"updated_at": "2026-04-29T12:53:00+01:00",
"first_name": "Christopher",
"last_name": "Nolan",
"name": "Christopher Nolan",
"known_as": "Chris",
"relationship": "Brother",
"date_of_birth": "2014-04-29T12:53:00+01:00",
"is_financially_dependant": true,
"notes": "Example notes",
"accounts": {
"uuid": "e23db250-8731-4852-a050-6596ba5dbc4a",
"created_at": "2026-04-29T12:53:00+01:00",
"updated_at": "2026-04-29T12:53:00+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
},
"shared_owner_type": "individual",
"shared_owner": {
"uuid": "ef19a7eb-745f-4d97-ad2e-f1f0dd9d5715",
"created_at": "2026-04-29T12:53:00+01:00",
"updated_at": "2026-04-29T12:53:00+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": "App\\Http\\Resources\\FirmResource",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"business_unit": "App\\Http\\Resources\\BusinessUnitResource",
"groups": "App\\Http\\Resources\\GroupResource",
"tags": "App\\Http\\Resources\\TagResource",
"owners": "App\\Http\\Resources\\AccountResource",
"first_contact_date": "2026-04-29T12:53:00+01:00",
"next_review_date": "2026-04-29T12:53:00+01:00",
"previous_review_date": "2026-04-29T12:53:00+01:00",
"anniversary_review_date": "2026-04-29T12:53:00+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"circles": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"inactive_at": "2026-04-29",
"last_interaction_at": "2026-04-29 12:53:00",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
}
}